> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eazecustoms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List declaration templates

> Retrieve a paginated list of declaration templates.

Retrieve a list of declaration templates. You can filter by template group and company.

### Query parameters

<ParamField query="declarationTemplateGroupId" type="integer">
  Filter by template group ID.
</ParamField>

<ParamField query="companyId" type="integer">
  Filter by company ID.
</ParamField>

<ParamField query="page" type="integer" default="1">
  Page number.
</ParamField>

<ParamField query="limit" type="integer" default="20">
  Items per page limit.
</ParamField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "page": 1,
    "itemsPerPage": 20,
    "result": [
      {
        "id": 7,
        "declarationTemplateGroupId": 1,
        "procedureType": "H1",
        "declarationType": "declarationEUGoods",
        "declarationOffice": "NL000432"
      }
    ]
  }
  ```
</ResponseExample>
